Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.item
Class ItemSeeds

    java.lang.Object
      net.minecraft.item.Item
          net.minecraft.item.ItemSeeds

All Implemented Interfaces:
  IPlantable

    public class ItemSeeds

extends Item
implements IPlantable

Field Summary

Fields inherited from class net.minecraft.item.Item
`appleGold, appleRed, arrow, axeDiamond, axeGold, axeSteel, axeStone, axeWood, bakedPotato, bed, beefCooked, beefRaw, blazePowder, blazeRod, boat, bone, book, bootsChain, bootsDiamond, bootsGold, bootsLeather, bootsSteel, bow, bowlEmpty, bowlSoup, bread, brewingStand, brick, bucketEmpty, bucketLava, bucketMilk, bucketWater, cake, carrot, carrotOnAStick, cauldron, chickenCooked, chickenRaw, clay, coal, compass, cookie, diamond, doorSteel, doorWood, dyePowder, egg, emerald, emptyMap, enderPearl, expBottle, eyeOfEnder, feather, fermentedSpiderEye, field_85180_cf, fireballCharge, fishCooked, fishingRod, fishRaw, flint, flintAndSteel, flowerPot, ghastTear, glassBottle, goldenCarrot, goldNugget, gunpowder, helmetChain, helmetDiamond, helmetGold, helmetLeather, helmetSteel, hoeDiamond, hoeGold, hoeSteel, hoeStone, hoeWood, ingotGold, ingotIron, isDefaultTexture, itemFrame, itemsList, leather, legsChain, legsDiamond, legsGold, legsLeather, legsSteel, lightStoneDust, magmaCream, map, melon, melonSeeds, minecartCrate, minecartEmpty, minecartPowered, monsterPlacer, netherStalkSeeds, netherStar, painting, paper, pickaxeDiamond, pickaxeGold, pickaxeSteel, pickaxeStone, pickaxeWood, plateChain, plateDiamond, plateGold, plateLeather, plateSteel, pocketSundial, poisonousPotato, porkCooked, porkRaw, potato, potion, pumpkinPie, pumpkinSeeds, record11, record13, recordBlocks, recordCat, recordChirp, recordFar, recordMall, recordMellohi, recordStal, recordStrad, recordWard, redstone, redstoneRepeater, reed, rottenFlesh, saddle, seeds, shears, shiftedIndex, shovelDiamond, shovelGold, shovelSteel, shovelStone, shovelWood, sign, silk, skull, slimeBall, snowball, speckledMelon, spiderEye, stick, sugar, swordDiamond, swordGold, swordSteel, swordStone, swordWood, wheat, writableBook, writtenBook`

Constructor Summary
`ItemSeeds(int par1, int par2, int par3)`

Method Summary
`int` | `getPlantID(World world, int x, int y, int z)`
`int` | `getPlantMetadata(World world, int x, int y, int z)`
`EnumPlantType` | `getPlantType(World world, int x, int y, int z)`
`boolean` | `onItemUse(ItemStack par1ItemStack, EntityPlayer par2EntityPlayer, World par3World, int par4, int par5, int par6, int par7, float par8, float par9, float par10)` Callback for item usage.

Methods inherited from class net.minecraft.item.Item
`addInformation, canHarvestBlock, createEntity, doesContainerItemLeaveCraftingGrid, func_77653_i, func_82788_x, getColorFromItemStack, getContainerItem, getContainerItemStack, getCreativeTab, getCreativeTabs, getDamageVsEntity, getEntityLifespan, getHasSubtypes, getIconFromDamage, getIconFromDamageForRenderPass, getIconFromItemStackForMultiplePasses, getIconIndex, getIconIndex, getIsRepairable, getItemDisplayName, getItemEnchantability, getItemName, getItemNameIS, getItemStackLimit, getItemUseAction, getLocalItemName, getMaxDamage, getMaxItemUseDuration, getMetadata, getPotionEffect, getRarity, getRenderPasses, getShareTag, getSmeltingExperience, getStatName, getStrVsBlock, getStrVsBlock, getSubItems, getTextureFile, hasContainerItem, hasCustomEntity, hasEffect, hitEntity, isDamageable, isFull3D, isItemTool, isMap, isPotionIngredient, isRepairable, itemInteractionForEntity, onBlockDestroyed, onBlockStartBreak, onCreated, onDroppedByPlayer, onFoodEaten, onItemRightClick, onItemUseFirst, onItemUseFirst, onLeftClickEntity, onPlayerStoppedUsing, onUpdate, onUsingItemTick, requiresMultipleRenderPasses, setContainerItem, setCreativeTab, setFull3D, setIconCoord, setIconIndex, setItemName, setMaxDamage, setMaxStackSize, setNoRepair, setTextureFile, shouldRotateAroundWhenRendering`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ItemSeeds

    public ItemSeeds(int par1,
                     int par2,
                     int par3)

Method Detail

### onItemUse

    public boolean onItemUse(ItemStack par1ItemStack,
                             EntityPlayer par2EntityPlayer,
                             World par3World,
                             int par4,
                             int par5,
                             int par6,
                             int par7,
                             float par8,
                             float par9,
                             float par10)

  Callback for item usage. If the item does something special on right clicking, he will have one of those. Return True if something happen and false if it don't. This is for ITEMS, not BLOCKS

  Overrides:
    `onItemUse` in class `Item`

### getPlantType

    public EnumPlantType getPlantType(World world,
                                      int x,
                                      int y,
                                      int z)

  Specified by:
    `getPlantType` in interface `IPlantable`

### getPlantID

    public int getPlantID(World world,
                          int x,
                          int y,
                          int z)

  Specified by:
    `getPlantID` in interface `IPlantable`

### getPlantMetadata

    public int getPlantMetadata(World world,
                                int x,
                                int y,
                                int z)

  Specified by:
    `getPlantMetadata` in interface `IPlantable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD